/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;

import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;
import cn.citycraft.utils.StringUtil;

/**
 * 传送到顶部命令
 *
 * @author 蒋天蓓
 *         2015年8月12日下午2:04:05
 *
 */
public class CommandGc extends BaseCommand {
	SimpleEssential plugin;

	/**
	 * @param name
	 */
	public CommandGc(SimpleEssential main) {
		super("gc", "mem");
		this.plugin = main;
	}

	@Override
	public void execute(CommandSender sender, String label, String[] args) throws CommandException {
		Runtime rt = Runtime.getRuntime();
		if (label.equalsIgnoreCase("gc"))
			rt.gc();
		sender.sendMessage(I18n.parse("Gc.Processors", rt.availableProcessors()));
		sender.sendMessage(I18n.parse("Gc.maxMem", StringUtil.b2mb(rt.maxMemory())));
		sender.sendMessage(I18n.parse("Gc.totalMem", StringUtil.b2mb(rt.totalMemory())));
		sender.sendMessage(I18n.parse("Gc.freeMem", StringUtil.b2mb(rt.freeMemory())));
		for (World wd : Bukkit.getWorlds())
			sender.sendMessage(I18n.parse("World.info", wd.getName(), wd.getEnvironment().toString(), wd.getLoadedChunks().length, wd.getEntities().size(), wd.getPlayers().size()));
	};

	@Override
	public String getDescription() {
		return "清理内存";
	}

	@Override
	public int getMinimumArguments() {
		return 0;
	}

	@Override
	public String getPossibleArguments() {
		return "";
	}

	@Override
	public boolean isOnlyPlayerExecutable() {
		return false;
	}
}
