/**
 *
 */
package cn.citycraft.SimpleEssential.command;

import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.command.CommandException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import cn.citycraft.SimpleEssential.SimpleEssential;
import cn.citycraft.SimpleEssential.config.I18n;

/**
 * @author 蒋天蓓 2015年8月12日下午2:04:05
 */
public class CommandWorld extends BaseCommand {
	SimpleEssential plugin;

	/**
	 * @param name
	 */
	public CommandWorld(SimpleEssential main) {
		super("world", "seworld");
		this.plugin = main;
	}

	@Override
	public void execute(CommandSender sender, String label, String[] args) throws CommandException {
		Player p = (Player) sender;
		switch (args.length) {
		case 0:
			p.sendMessage(I18n.parse("World.title"));
			for (World wd : Bukkit.getWorlds())
				p.sendMessage(I18n.parse("World.info", wd.getName(), wd.getEnvironment().toString(), wd.getLoadedChunks().length, wd.getEntities().size(), wd.getPlayers().size()));
		case 1:
			World wd = Bukkit.getWorld(args[1]);
			if (wd != null)
				p.teleport(wd.getSpawnLocation());
			else
				p.sendMessage(I18n.parse("World.unknow", args[1]));
		}
	};

	@Override
	public String getDescription() {
		return "";
	}

	@Override
	public int getMinimumArguments() {
		return 0;
	}

	@Override
	public String getPossibleArguments() {
		return "[世界名称|世界序号]";
	}

	@Override
	public boolean isOnlyPlayerExecutable() {
		return true;
	}
}
